EulerOS 2.0 SP3 : libxslt (EulerOS-SA-2019-1592)

High Nessus Plugin ID 125519

Synopsis

The remote EulerOS host is missing multiple security updates.

Description

According to the versions of the libxslt packages installed, the EulerOS installation on the remote host is affected by the following vulnerabilities :

- libxslt through 1.1.33 allows bypass of a protection mechanism because callers of xsltCheckRead and xsltCheckWrite permit access even upon receiving a -1 error code. xsltCheckRead can return -1 for a crafted URL that is not actually invalid and is subsequently loaded.(CVE-2019-11068)

- In libxslt 1.1.29 and earlier, the EXSLT math.random function was not initialized with a random seed during startup, which could cause usage of this function to produce predictable outputs.(CVE-2015-9019)

Note that Tenable Network Security has extracted the preceding description block directly from the EulerOS security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Update the affected libxslt packages.

See Also

http://www.nessus.org/u?d62a89d8

Plugin Details

Severity: High

ID: 125519

File Name: EulerOS_SA-2019-1592.nasl

Version: 1.2

Type: local

Published: 2019/05/29

Updated: 2019/06/27

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:huawei:euleros:libxslt, p-cpe:/a:huawei:euleros:libxslt-devel, p-cpe:/a:huawei:euleros:libxslt-python, cpe:/o:huawei:euleros:2.0

Required KB Items: Host/local_checks_enabled, Host/EulerOS/release, Host/EulerOS/rpm-list, Host/EulerOS/sp

Excluded KB Items: Host/EulerOS/uvp_version

Patch Publication Date: 2019/05/20

Reference Information

CVE: CVE-2015-9019, CVE-2019-11068